curl --request GET \
--url https://api.dfns.io/webhooks/{webhookId}/events \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"date": "<string>",
"kind": "policy.triggered",
"data": {},
"status": "<string>",
"timestampSent": 123,
"error": "<string>"
}
],
"nextPageToken": "<string>"
}Lists all events for a given webhook.
We only keep a trace of those Webhook Events in our system for a retention period of 31 days. Past that, they are discarded, so you cannot see them using List Webhook Events or Get Webhook Event endpoints.
curl --request GET \
--url https://api.dfns.io/webhooks/{webhookId}/events \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"date": "<string>",
"kind": "policy.triggered",
"data": {},
"status": "<string>",
"timestampSent": 123,
"error": "<string>"
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Webhooks:Events:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
1policy.triggered, policy.approval.pending, policy.approval.resolved, key.created, key.deleted, key.delegated, key.exported, wallet.blockchainevent.detected, wallet.created, wallet.activated, wallet.delegated, wallet.exported, wallet.signature.failed, wallet.signature.rejected, wallet.signature.requested, wallet.signature.signed, wallet.transaction.broadcasted, wallet.transaction.confirmed, wallet.transaction.failed, wallet.transaction.rejected, wallet.transaction.requested, wallet.transfer.broadcasted, wallet.transfer.confirmed, wallet.transfer.failed, wallet.transfer.rejected, wallet.transfer.requested, wallet.offer.received, wallet.offer.accepted, wallet.offer.rejected, wallet.offer.withdrawn, wallet.tags.modified, payout.action.required true, false x <= 2001Was this page helpful?